
QGIS Application - Bug report #17233

QGIS Main Window resizes itself upon saving the project to show the 'successfull save' message

2017-10-02 03:57 PM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25132

Description

In my current master, when I make the QGIS window rather small, if you load some data, and save the project, after the saving there is

feedback in the bottom of the window (between the Locator-input and the Coordinate-txt) telling you the project was saved to eg

/home/richard/bla/foo/work/longggname.... etc

BUT it also resizes the window, forcing a repaint

Anybody else seeing

History

#1 - 2017-10-03 09:35 AM - Patrick Dunford

I have a dual display system and the main windows is maximised on the first screen. Whenever I save the project it pushes the main window out onto the

second display. This is happening on master 60fd763, But I also have many VMs running older masters, and they don't do it.

#2 - 2017-11-13 08:52 PM - Josiah Wahlrab

I believe I'm experiencing the same issue.  Upon saving a project, via either save command via menu or key-command (⌘S), the screen resizes.

    -  QGIS version: 2.99.0-Master

    -  QGIS Code Revision: d00efde2f0

    -  OS: Mac, Mac OS Sierra, 10.12.6

    -  Computer: MacBook Pro (13-inch, 2017, Two Thunderbolt 3 ports)

#3 - 2017-11-20 10:24 AM - Patrick Dunford

The latest master still pushes the window wider, but doesn't push the title bar down as well like earlier ones did.

#4 - 2017-11-20 11:13 AM - Richard Duivenvoorde

Just to add WHY this is sometimes painfull: some providers (in my case WFS provider) try to query the full dataset again. Which in case of a rather hefty

wfs query can be very time consuming.

#5 - 2017-11-21 11:23 AM - Giovanni Manghi

- Priority changed from Normal to High
- Regression? changed from No to Yes

#6 - 2018-01-24 10:05 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed with recent status bar changes
